<?php

/**
 * Settings for MyFatoorah Gateway.
 */
$txtEnableNewDesign = __('Enable New Design', 'myfatoorah-woocommerce');


return array(
    'enabled'          => array(
        'title'   => __('Enable/Disable', 'woocommerce'),
        'type'    => 'checkbox',
        'default' => 'no',
        'label'   => __('Enable MyFatoorah', 'myfatoorah-woocommerce'),
    ),
    'newDesign'        => array(
        'title'   => $txtEnableNewDesign,
        'type'    => 'checkbox',
        'default' => 'yes',
        'label'   => $txtEnableNewDesign,
    ),
    'title'            => array(
        'title'       => __('Title', 'woocommerce'),
        'type'        => 'text',
        'description' => __('This controls the title which the user sees during checkout.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => __($this->method_title, 'myfatoorah-woocommerce'), //todo trans
    ),
    'description'      => array(
        'title'       => __('Description', 'woocommerce'),
        'type'        => 'textarea',
        'description' => __('This controls the description which the user sees during checkout.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => __('Checkout with MyFatoorah Payment Gateway', 'myfatoorah-woocommerce'),
    ),
    'countryMode'      => array(
        'title'       => __('Vendor\'s Country', 'myfatoorah-woocommerce') . '<span class="mf-small mf-required dashicon dashicons dashicons-star-filled"></span>',
        'type'        => 'select',
        'description' => '<font style="color:#0093c9;"> <span class="dashicon dashicons dashicons-info"></span> ' . __('Select your MyFatoorah vendor\'s country. After that, use the API token key that belongs to this country.', 'myfatoorah-woocommerce') . '</font>',
        'default'     => 'KWT',
        'options'     => $this->mfCountries,
    ),
    'testMode'         => array(
        'title'       => __('Test Mode', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => '<font style="color:#0093c9;"><span class="dashicon dashicons dashicons-info"></span> ' . __('Select Test Mode checkbox only when using test API Key.', 'myfatoorah-woocommerce') . '</font>',
        'default'     => 'yes',
        'label'       => __('Enable Test Mode', 'myfatoorah-woocommerce'),
    ),
    'apiKey'           => array(
        'title'       => __('API Key', 'myfatoorah-woocommerce') . '<span class="mf-small mf-required dashicon dashicons dashicons-star-filled"></span>',
        'type'        => 'textarea',
        'description' => __('Get your API Token Key from MyFatoorah Vendor Account.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
    ),
    'listOptions'      => array(
        'title'       => __('List Payment Options', 'myfatoorah-woocommerce'),
        'type'        => 'select',
        'description' => '<span id="listOptionsDesc" class="mf-hide"><font style="color:#0093c9;"> <span class="dashicon dashicons dashicons-update"></span> ' . __('Click on save changes to synchronize the payment gateways with your MyFatoorah account.', 'myfatoorah-woocommerce') . '</font></span>',
        'default'     => 'multigateways',
        'options'     => [
            'multigateways' => __('List All Enabled Gateways in Checkout Page', 'myfatoorah-woocommerce'),
            'myfatoorah'    => __('Redirect to MyFatoorah Invoice Page', 'myfatoorah-woocommerce'),
        ],
    ),
    'registerApplePay' => array(
        'title'       => __('Apple Pay Embedded', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => '<font style="color:#0093c9;"><span class="dashicon dashicons dashicons-info"></span> ' . __('Create a folder named ".well-known" in the root path and copy the apple-developer-merchantid-domain-association file which you received from MyFatoorah support team (tech@myfatoorah.com)', 'myfatoorah-woocommerce') . '</font>',
        'default'     => 'no',
        'label'       => __('Enable Apple Pay Embedded', 'myfatoorah-woocommerce'),
    ),
    'invoiceItems'     => array(
        'title'       => __('Invoice items', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => __('While disabling Invoice Items, MyFatoorah will send total order amount to the invoice page. In case of enabling MyFatoorah shipping, you should enable this option.', 'myfatoorah-woocommerce'),
        'default'     => 'yes',
        'label'       => __('Enable Invoice items', 'myfatoorah-woocommerce'),
    ),
    'orderStatus'      => array(
        'title'       => __('Order Status', 'woocommerce'),
        'type'        => 'select',
        'description' => __('How to mark the successful payment in the Admin Orders Page.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => 'processing',
        'options'     => array(
            'processing' => __('Processing', 'woocommerce'),
            'completed'  => __('Completed', 'woocommerce'),
        ),
    ),
    'success_url'      => array(
        'title'       => __('Payment Success URL', 'myfatoorah-woocommerce'),
        'type'        => 'text',
        'description' => __('Please insert your Success URL (optional).', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => '',
//        'placeholder' => 'https://www.example.com/success',
    ),
    'fail_url'         => array(
        'title'       => __('Payment Fail URL', 'myfatoorah-woocommerce'),
        'type'        => 'text',
        'description' => __('Please insert your Failed URL (optional).', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => '',
//        'placeholder' => 'https://www.example.com/failed',
    ),
    'debug'            => array(
        'title'       => __('Debug Mode', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => __('Log MyFatoorah events in ', 'myfatoorah-woocommerce') . $this->pluginlog,
        'desc_tip'    => true,
        'default'     => 'yes',
        'label'       => __('Enable logging', 'myfatoorah-woocommerce'),
    ),
    'saveCard'         => array(
        'title'       => __('Save Card Information', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => __('This feature allows the customers to save their card details for the future payments.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => 'no',
        'label'       => __('Enable MyFatoorah save card information feature for logged in users', 'myfatoorah-woocommerce'),
    ),
    'icon'             => array(
        'title'       => __('MyFatoorah Logo URL', 'myfatoorah-woocommerce'),
        'type'        => 'text',
        'description' => __('Please insert your logo URL which the user sees during checkout.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => plugins_url(MYFATOORAH_WOO_PLUGIN_NAME) . '/assets/images/' . $this->code . '.png',
        'placeholder' => 'https://www.exampleurl.com',
    ),
    'isSingleView'     => array(
        'title'       => __('Single Gateway View', 'myfatoorah-woocommerce'),
        'type'        => 'checkbox',
        'description' => __('Use a custom title and icon to view the single gateway.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
        'default'     => 'yes',
        'label'       => __('Enable Single View', 'myfatoorah-woocommerce'),
    ),
    'webhookSecretKey' => array(
        'title'       => __('Webhook Secret Key', 'myfatoorah-woocommerce'),
        'type'        => 'text',
        'description' => __('Get your Webhook Secret Key from MyFatoorah Vendor Account.', 'myfatoorah-woocommerce'),
        'desc_tip'    => true,
    ),
);
